one-users-get-one

Source

  • Repository: jef-systems/jef-one-backend

  • Source Run ID: 25256246879

  • Source SHA: 944e655286e0c87c6e611453ffc46df43159a83d

  • Module: one

  • Documentation Scope: get

  • Lambda: jef-one-get-17

Endpoint

  • API Name: jef-one

  • Action Name: get

  • Method: GET

  • Scope Label: GET

  • Resource Path: /one-users-get-one

  • Complete Endpoint: https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-users-get-one

  • Lambda ARN: arn:aws:lambda:ap-southeast-1:246715082475:function:jef-one-get-17

  • curl payload mode: query_string

API Gateway Description

Function: jef-one-get-17
API Name: jef-one
Action: get
Method: GET
Resource Path: /one-users-get-one

Table:
- table: jef-one-users
- operation: get-one

Payload Schema:
- pk: employee_number

Payload Example:
- pk: EMP0001

Response Schema:
- exists: boolean
- message: string
- item: {"pk":"string","entity_number":"string","employee_number":"string","display_name":"string","password_hash":"string","is_active":"boolean","roles":"string","created_at":"string","updated_at":"string","password_updated_at":"string"}

Request Payload

{
  "pk": "employee_number"
}

Response

{
  "exists": "boolean",
  "message": "string",
  "item": "{\"pk\":\"string\",\"entity_number\":\"string\",\"employee_number\":\"string\",\"display_name\":\"string\",\"password_hash\":\"string\",\"is_active\":\"boolean\",\"roles\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"password_updated_at\":\"string\"}"
}

CMD curl

curl "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-users-get-one?pk=EMP0001"

PowerShell curl

curl.exe "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-users-get-one?pk=EMP0001"